summaryrefslogtreecommitdiffhomepage
path: root/contrib/package/freifunk-common/files/usr/bin
diff options
context:
space:
mode:
authorManuel Munz <freifunk@somakoma.de>2011-09-28 00:20:56 +0000
committerManuel Munz <freifunk@somakoma.de>2011-09-28 00:20:56 +0000
commitc3a028c76c294c0578b0449d75f9aeaad209c8d1 (patch)
treeda549085750d64091f3bc43992cf1c8417edd20c /contrib/package/freifunk-common/files/usr/bin
parent876b191b20a01926657e4d3c618fd2f029f45f4d (diff)
modules/freifunk: Move profiles and common files into seperate packages, this will enable us to build freifunk images without luci.
Diffstat (limited to 'contrib/package/freifunk-common/files/usr/bin')
-rwxr-xr-xcontrib/package/freifunk-common/files/usr/bin/ffdzero10
-rwxr-xr-xcontrib/package/freifunk-common/files/usr/bin/neigh.sh3
2 files changed, 13 insertions, 0 deletions
diff --git a/contrib/package/freifunk-common/files/usr/bin/ffdzero b/contrib/package/freifunk-common/files/usr/bin/ffdzero
new file mode 100755
index 0000000000..24e8c2e181
--- /dev/null
+++ b/contrib/package/freifunk-common/files/usr/bin/ffdzero
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+test "$1" = "-h" && echo -e "Usage:\n\t$0 -h\n\t$0 [ { ip | hostname } ]" >&2 && exit 1
+
+host="${1:-leipzig.freifunk.net}"
+
+wget -O /dev/null http://$host/cgi-bin-dev-zero.bin
+test "$?" = "1" && wget -O /dev/null http://$host/cgi-bin/dev-zero.bin
+test "$?" = "1" && wget -O /dev/null http://$host/cgi-bin/luci/freifunk/status/zeroes
+test "$?" = "1" && echo "$host: no zero download found..." && exit 1
diff --git a/contrib/package/freifunk-common/files/usr/bin/neigh.sh b/contrib/package/freifunk-common/files/usr/bin/neigh.sh
new file mode 100755
index 0000000000..723b813b76
--- /dev/null
+++ b/contrib/package/freifunk-common/files/usr/bin/neigh.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+wget -q -O - http://localhost:2006/neighbours|sed -e's/LinkQuality/LQ/;s/Hysteresis/Hyst./;s/Willingness/Will./'